cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/roles/201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"role": {
"display_name": "Support staff (AU)"
}
}'from exsited import build_client
client = build_client()
response = client.roles.update_settings_role(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", {"role": {"display_name": "Support staff (AU)"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.roles.updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
role: {display_name: 'Support staff (AU)'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->roles->updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'role' => ['display_name' => 'Support staff (AU)'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.roles().updateSettingsRole(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("role", Map.of("display_name", "Support staff (AU)")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Roles.UpdateSettingsRoleAsync(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["role"] = new Dictionary<string, object?>
{
["display_name"] = "Support staff (AU)",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.roles.updateSettingsRole(
'201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'role': {'display_name': 'Support staff (AU)'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Roles().UpdateSettingsRole(context.Background(), "201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"role": map[string]any{"display_name": "Support staff (AU)"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Roles
Update a role
Changes a role, or enables or disables it.
PATCH
/
settings
/
roles
/
{role_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/roles/201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"role": {
"display_name": "Support staff (AU)"
}
}'from exsited import build_client
client = build_client()
response = client.roles.update_settings_role(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", {"role": {"display_name": "Support staff (AU)"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.roles.updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
role: {display_name: 'Support staff (AU)'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->roles->updateSettingsRole('201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'role' => ['display_name' => 'Support staff (AU)'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.roles().updateSettingsRole(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("role", Map.of("display_name", "Support staff (AU)")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Roles.UpdateSettingsRoleAsync(
"201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["role"] = new Dictionary<string, object?>
{
["display_name"] = "Support staff (AU)",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.roles.updateSettingsRole(
'201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'role': {'display_name': 'Support staff (AU)'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Roles().UpdateSettingsRole(context.Background(), "201b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"role": map[string]any{"display_name": "Support staff (AU)"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the fields to change under
role, or its status to enable or disable it, for example display_name.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.